X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I have a Mac osx 10.5.8 I HAD a Firefox browser but got sucked in by an update offer and now I have no Firefox browser and cannot get it back. Please advise.

Posted

I have a mac powerbook G4 OSX 10.5.8 I USED to have a Firefox browser, but I got sucked in by an invitation to update, didn't realize that the circle with a line through it meant, "don't try to put this in your computer" but it must mean something like that because even tho I later tried to load a different update for a Firefox browser that said for mac osx10.5 or later, and that came up with a circle with a line through it too. How do I find the Firefox version that is compatible with my laptop? The old one was working just fine until I tried the update!!! Please advise.

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Macintosh; PPC Mac OS X 10_5_8) AppleWebKit/534.50.2 (KHTML, like Gecko) Version/5.0.6 Safari/533.22.3

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10745 solutions 96690 answers

Firefox 4 and later require at least OS X 10.5 and a Mac with an Intel processor.

You can find the Firefox 3.6.28 version for your OS here:


For an unofficial Firefox 10.0.11 ESR compatible version (TenFourFox) that runs on PowerPC Macs with OS X 10.4.11 or OS X 10.5.8 you can look at:

Plugins are no longer supported by TenFourFox.

bmariew 0 solutions 3 answers

"You can find the Firefox 3.6.28 version for your OS here: Firefox 3.6.28: http://www.mozilla.org/en-US/firefox/all-older.html"

I tried going to this link, but it sends me to a page that says I don't meet the system requirements. Is there another link or can you tell me which folder in the FTP I should download from?

James
  • Top 25 Contributor
  • Moderator
437 solutions 3146 answers

Helpful Reply

The all-older.html page used to still link to the latest Firefox 3.6.* release a month ago.

bmariew, you have not stated what OS and since this thread was started by a PPC Mac user, so assuming you are a Mac user.

Pick your language. ftp://ftp.mozilla.org/pub/firefox/releases/latest-3.6/mac/

If en-US then see ftp://ftp.mozilla.org/pub/firefox/releases/latest-3.6/mac/en-US/Firefox%203.6.28.dmg

Note that Firefox 3.6 is EOL (End Of Life) as the last security update for it was 3.6.28 back in March.

Modified by James

cor-el
  • Top 10 Contributor
  • Moderator
10745 solutions 96690 answers

Which Mac OS X version do you have and which Firefox are you running at the moment?

See:

bmariew 0 solutions 3 answers

I have the same mac that the original post was about, mac powerbook G4 OSX 10.5.8. I don't remember what Firefox I was running as the upgrade replaced it. I have 17 now, but it won't run.

cor-el
  • Top 10 Contributor
  • Moderator
10745 solutions 96690 answers

Firefox 17 and later require a Mac with an Intel processor and OS X 10.6 (Firefox 16 runs on OS X 10.5).

For an unofficial Firefox 17.0 ESR compatible version (TenFourFox) that runs on PowerPC Macs with OS X 10.4.11 or OS X 10.5.8 you can look at:


Firefox 3.6.28 is the latest official version that runs on your computer.

Dulock07 0 solutions 1 answers

@missh you could download Firefox version15 which is compatible with 10.5.8

Here is a link: ftp://ftp.mozilla.org/pub/firefox/releases/15.0.1/

.
.
edit: replaced link as random unofficial download sites like oldapps is not needed.

Modified by James

AliceWyman
  • Top 25 Contributor
  • Moderator
190 solutions 1961 answers

You need an Intel Mac to run newer versions of Firefox. Mac OS X 10.5 on a PowerPC processor (PPC) can only run Firefox 3.6. See Firefox no longer works with Mac OS X 10.4 or PowerPC processors

There's currently a download link for Firefox 3.6 in the Install an older version of Firefox article. Here's the link for Mac OS:

Modified by AliceWyman

AliceWyman
  • Top 25 Contributor
  • Moderator
190 solutions 1961 answers

Helpful Reply

P.S. For Mac OS X 10.5 users with an Intel Mac, the latest version of Firefox that will work is Firefox 16. Link: Firefox 16 (US English)

Related article: Firefox no longer works with Mac OS X 10.5

bmariew 0 solutions 3 answers

Thank you cor-el, the link to the ftp you provided worked.

Modified by bmariew